Skip to content
Developer

VolunteerShift

Volunteering6 EndpointsTimeTracking / VolunteerShift

List helper shifts

GET/api/time/volunteer_shift

Query parameters

idinteger
deletedbooleanDefault value: false
namestring
startstring
endstring
eventstring
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of VolunteerShift objectsarray<VolunteerShift>

Show fields (16)
  • effective_credited_minutesinteger

    Minutes an attended helper is credited with.

  • signed_up_countinteger

    Helpers that are signed up or attended - cancelled sign-ups free their slot again.

  • open_slotsinteger

    Free slots, null when the shift has no limit.

  • idinteger

    Primary key of the volunteer shift. Internal ID.

  • namestring

    Name of the volunteer shift.

  • descriptionstring

    Description of the volunteer shift.

  • locationstring

    Place where the volunteer shift takes place.

  • startstring (date-time)

    Start of the volunteer shift.

  • endstring (date-time)

    End of the volunteer shift.

  • required_helpersinteger

    Helpers needed. 0 = no limit.

  • credited_minutesinteger

    Minutes credited per attended helper. null = the length of the shift.

  • signup_untilstring (date-time)

    Sign-up closes at this point in time. null = until the shift starts.

  • eventBaseEvent10

    Event the volunteer shift belongs to.

    Show fields (45)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

  • deletedboolean

    The volunteer shift is deleted.

  • createdstring (date-time)

    Time the volunteer shift was created.

  • updatedstring (date-time)

    Time the volunteer shift was last changed.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "effective_credited_minutes": 1,
    "signed_up_count": 1,
    "open_slots": 1,
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  }
]

Add a helper shift

POST/api/time/volunteer_shift

Request body application/json

  • dataVolunteerShift2
    Show fields (10)
    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent12

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

Responses

200Add a new VolunteerShiftVolunteerShift

Show fields (16)
  • effective_credited_minutesinteger

    Minutes an attended helper is credited with.

  • signed_up_countinteger

    Helpers that are signed up or attended - cancelled sign-ups free their slot again.

  • open_slotsinteger

    Free slots, null when the shift has no limit.

  • idinteger

    Primary key of the volunteer shift. Internal ID.

  • namestring

    Name of the volunteer shift.

  • descriptionstring

    Description of the volunteer shift.

  • locationstring

    Place where the volunteer shift takes place.

  • startstring (date-time)

    Start of the volunteer shift.

  • endstring (date-time)

    End of the volunteer shift.

  • required_helpersinteger

    Helpers needed. 0 = no limit.

  • credited_minutesinteger

    Minutes credited per attended helper. null = the length of the shift.

  • signup_untilstring (date-time)

    Sign-up closes at this point in time. null = until the shift starts.

  • eventBaseEvent10

    Event the volunteer shift belongs to.

    Show fields (45)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

  • deletedboolean

    The volunteer shift is deleted.

  • createdstring (date-time)

    Time the volunteer shift was created.

  • updatedstring (date-time)

    Time the volunteer shift was last changed.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "description": "Text",
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "effective_credited_minutes": 1,
  "signed_up_count": 1,
  "open_slots": 1,
  "location": "string",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "required_helpers": 1
}

Get a single helper shift

GET/api/time/volunteer_shift/{id}

Path parameters

idrequiredstring

Responses

200Returns a single VolunteerShiftVolunteerShift

Show fields (16)
  • effective_credited_minutesinteger

    Minutes an attended helper is credited with.

  • signed_up_countinteger

    Helpers that are signed up or attended - cancelled sign-ups free their slot again.

  • open_slotsinteger

    Free slots, null when the shift has no limit.

  • idinteger

    Primary key of the volunteer shift. Internal ID.

  • namestring

    Name of the volunteer shift.

  • descriptionstring

    Description of the volunteer shift.

  • locationstring

    Place where the volunteer shift takes place.

  • startstring (date-time)

    Start of the volunteer shift.

  • endstring (date-time)

    End of the volunteer shift.

  • required_helpersinteger

    Helpers needed. 0 = no limit.

  • credited_minutesinteger

    Minutes credited per attended helper. null = the length of the shift.

  • signup_untilstring (date-time)

    Sign-up closes at this point in time. null = until the shift starts.

  • eventBaseEvent10

    Event the volunteer shift belongs to.

    Show fields (45)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

  • deletedboolean

    The volunteer shift is deleted.

  • createdstring (date-time)

    Time the volunteer shift was created.

  • updatedstring (date-time)

    Time the volunteer shift was last changed.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "effective_credited_minutes": 1,
  "signed_up_count": 1,
  "open_slots": 1,
  "location": "string",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "required_helpers": 1
}

Update a helper shift

PUT/api/time/volunteer_shift/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataVolunteerShift2
    Show fields (10)
    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent12

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

Responses

200Update a VolunteerShiftVolunteerShift

Show fields (16)
  • effective_credited_minutesinteger

    Minutes an attended helper is credited with.

  • signed_up_countinteger

    Helpers that are signed up or attended - cancelled sign-ups free their slot again.

  • open_slotsinteger

    Free slots, null when the shift has no limit.

  • idinteger

    Primary key of the volunteer shift. Internal ID.

  • namestring

    Name of the volunteer shift.

  • descriptionstring

    Description of the volunteer shift.

  • locationstring

    Place where the volunteer shift takes place.

  • startstring (date-time)

    Start of the volunteer shift.

  • endstring (date-time)

    End of the volunteer shift.

  • required_helpersinteger

    Helpers needed. 0 = no limit.

  • credited_minutesinteger

    Minutes credited per attended helper. null = the length of the shift.

  • signup_untilstring (date-time)

    Sign-up closes at this point in time. null = until the shift starts.

  • eventBaseEvent10

    Event the volunteer shift belongs to.

    Show fields (45)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

  • deletedboolean

    The volunteer shift is deleted.

  • createdstring (date-time)

    Time the volunteer shift was created.

  • updatedstring (date-time)

    Time the volunteer shift was last changed.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "description": "Text",
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "effective_credited_minutes": 1,
  "signed_up_count": 1,
  "open_slots": 1,
  "location": "string",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "required_helpers": 1
}

Update a helper shift

PATCH/api/time/volunteer_shift/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataVolunteerShift2
    Show fields (10)
    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent12

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

Responses

200Update a VolunteerShiftVolunteerShift

Show fields (16)
  • effective_credited_minutesinteger

    Minutes an attended helper is credited with.

  • signed_up_countinteger

    Helpers that are signed up or attended - cancelled sign-ups free their slot again.

  • open_slotsinteger

    Free slots, null when the shift has no limit.

  • idinteger

    Primary key of the volunteer shift. Internal ID.

  • namestring

    Name of the volunteer shift.

  • descriptionstring

    Description of the volunteer shift.

  • locationstring

    Place where the volunteer shift takes place.

  • startstring (date-time)

    Start of the volunteer shift.

  • endstring (date-time)

    End of the volunteer shift.

  • required_helpersinteger

    Helpers needed. 0 = no limit.

  • credited_minutesinteger

    Minutes credited per attended helper. null = the length of the shift.

  • signup_untilstring (date-time)

    Sign-up closes at this point in time. null = until the shift starts.

  • eventBaseEvent10

    Event the volunteer shift belongs to.

    Show fields (45)
    • ticketSeatingPlanIdinteger

      Id of the seating plan, also for the public and the customer serialization.

    • bib_numbers_enabledboolean
    • timing_enabledboolean
    • idinteger

      Primary key of the event. Internal ID.

    • public_subtitlestring

      Subtitle shown in the public event listing.

    • event_typestring

      Type of the event, for example course, trip or tournament.

    • event_people_limitinteger

      maximum number of people that can attend the event

    • event_people_min_limitinteger

      minimum number of people that must attend the event

    • hide_event_people_limitboolean

      a setting to hide the event people limit in the frontend ui

    • has_wait_listboolean

      The event has a waiting list once it is full.

    • wait_list_confirmation_requiredboolean

      Participants from the waiting list must confirm their place.

    • trial_enabledboolean

      Trial sessions (Schnuppern) are offered for this event. Off by default: the event has to opt in, the rule comes from trialPolicy, the event's category or the default rule.

    • can_sign_up_for_main_eventboolean

      Participants may sign up for the main event.

    • only_sign_up_for_main_eventboolean

      Participants may only sign up for the main event, not for sub-events.

    • start_timestring (date-time)

      Start of the event.

    • end_timestring (date-time)

      End of the event.

    • require_addressboolean

      Participants must enter an address when signing up.

    • require_contactboolean

      Participants must enter contact details when signing up.

    • require_billingboolean

      Participants must enter billing details when signing up.

    • allow_direct_billingboolean
    • require_direct_billingboolean
    • allow_budget_sign_upboolean
    • require_ageboolean

      Participants must enter their age when signing up.

    • require_grade_levelboolean

      Participants must enter their school grade level when signing up.

    • require_free_note_field_idsstring

      IDs of the free note fields that participants must fill in.

    • generate_new_bookingsboolean

      Bookings are generated automatically for the event schedule.

    • generate_new_bookings_v2boolean

      Bookings are generated with the second version of the schedule generator.

    • generate_ignore_sys_calendarboolean

      Generated bookings ignore the holidays of the system calendar.

    • generate_hour_startstring (date-time)

      Start time of the day for generated bookings.

    • generate_hour_endstring (date-time)

      End time of the day for generated bookings.

    • generate_day_of_weekinteger

      Weekday for generated bookings.

    • bitmask_days_of_weekinteger

      This is a bitmask value of the days of the week the event occurs on

    • bitmask_hours_startinteger

      This is a bitmask value of the hours an event starts on

    • summarized_date_timesstring

      This is a string with the days and hours an event starts on

    • customer_detail_ctastring

      Call-to-action text shown in the customer app on the event detail page.

    • customer_badgestring

      Badge text shown on the event in the customer app.

    • bib_number_modestring

      Vergabeart der Startnummern: OFF, MANUAL, AUTOMATIC oder BATCH. Greift nur, wenn der Event-Typ Startnummern hat (enableBibNumbers).

    • timing_gun_startstring (date-time)

      Startschuss; ohne Wert gilt startTime.

    • timing_public_liveboolean

      Live timing results are public.

    • timing_gps_trackingboolean

      GPS tracking of participants is enabled for timing.

    • timing_self_check_inboolean

      Participants can check in themselves for timing.

    • ticket_sales_enabledboolean

      Ticketverkauf statt Anmeldung: Teilnehmer kaufen Tickets (Ticketarten = Event-Preise mit Kontingent und Verkaufszeitraum), jedes Ticket bekommt einen Code für den Check-in. Greift nur mit der Einstellung event_ticket_sales_enabled.

    • ticket_max_per_orderinteger

      Höchstzahl Tickets je Bestellung; ohne Wert gilt event_ticket_max_per_order_default.

    • ticket_personalizedboolean

      Personalisierte Tickets: jedes Ticket braucht den Namen des Teilnehmers. Sonst laufen alle Tickets einer Bestellung auf den Namen des Käufers.

    • ticket_seatingboolean

      Platzwahl beim Ticketverkauf: jedes Ticket bekommt einen freien Platz aus dem Saalplan des Raums (BaseBookable::ticketSeatingPlan); die Ticketart kann auf eine Zone (ticketSeatZone) beschränkt sein. Greift nur mit der Einstellung event_ticket_seating_enabled.

  • deletedboolean

    The volunteer shift is deleted.

  • createdstring (date-time)

    Time the volunteer shift was created.

  • updatedstring (date-time)

    Time the volunteer shift was last changed.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "description": "Text",
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "effective_credited_minutes": 1,
  "signed_up_count": 1,
  "open_slots": 1,
  "location": "string",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "required_helpers": 1
}

Archive a helper shift. Credits of attended helpers stay.

DELETE/api/time/volunteer_shift/{id}

Path parameters

idrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift/42 \
  --header 'x-iw-jwt-token: <TOKEN>'